#### KMPARAMETER

#### Synopsis

    HELP:   Parameter for the call of FKME ['']
    TYPE:   STRING
    SYNTAX: KMPARAMETER/KMEPAR/KMPARM/KMP='bin'

#### Description

Parameter used for the KMEXIT (z/OS and WINOWS only).

The string that is specified with KMPARM is passed to the key management procedure used in context with Parameter KMEXIT.

This parameter overwrites parameter COMMENT in z/OS, if present.

Parameters in the same context: KMEXIT and KMDLL

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `KMPARM=any input` up to 256 characters in form of A'...', C'...', X'...', or as a string.
  - `KMP=any input` up to 256 characters in form of A'...', C'...', X'...', or as a string.
- UNIX
  - see parameter KMEXIT
- WINDOWS
  - `kmparam=parameter string`

Values

- z/OS
  - Any input up to 256 characters in form of A'...', C'...', X'...', or as a string.
- WINDOWS
  - string

Default

- none, no parameter

Valid for

- en-/decryption